{% extends 'base.html' %}

{% block content %}
    <script>$(document).ready( function () {
    $('#exercise_list').DataTable();
} );</script>
    <h2>Exercise</h2>
    <div class="table-responsive">
    <table id="exercise_list" class="table table-striped table-hover table-responsive dataTable no-footer">
    <thead>
    <tr>
    <th>Description</th>
    </tr>
    </thead>
  {% for exercise in exercise_list %}
      <tbody>
      <tr>
      <td><a href="create/{{ exercise.id }}"> {{ exercise.name }}</a>
      </td>
      <td>
      {{ exercise.description }}
      </td>
      <td>
      {{ exercise.testable }}
      </td>
      <td>
      <button onclick="window.location.href='delete/{{ exercise.id }}'" type="button" class="btn btn-danger">
      Delete this Exercise</button>
      </td>
      </tr>
</tbody>
    {% endfor %}
    </table>
    </div>
    <button onclick="window.location.href='create'" type="button" class="btn btn-success">Create New exercise</button>
{% endblock %}
